Bug 53004 - Black squares is missing after import WMF files created by LTspice
Summary: Black squares is missing after import WMF files created by LTspice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2012-07-31 13:46 UTC by frank
Modified: 2018-06-20 02:49 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
An exported WMF file from LTspice (4.99 KB, image/x-wmf)
2012-07-31 13:46 UTC, frank
Details
Astable.WMF How it should appears (20.73 KB, image/png)
2012-07-31 14:26 UTC, frank
Details
Astable image from LTspice IV (237.25 KB, image/png)
2013-06-27 19:43 UTC, Jacques Guilleron
Details
WMF file opened in GIMP 2.8.10 (88.79 KB, image/png)
2014-11-13 23:35 UTC, Robinson Tryon (qubit)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description frank 2012-07-31 13:46:16 UTC
Created attachment 64991 [details]
An exported WMF file from LTspice

WMF files exported from LTspice aren't correctly displayed in Writer (electrical junctions of schematics are not visible what ever colour you choose).

IrfanView opens and display the image correctly;
Winxp built in image viewer too.

Steps to reproduce bug:

1) Download free LTspice and install it : http://www.linear.com/designtools/software/

2) Open any file in .\Educational folder

3) Make: Tools -> Write to wmf file
Comment 1 frank 2012-07-31 14:26:19 UTC
Created attachment 64993 [details]
Astable.WMF How it should appears
Comment 2 A (Andy) 2013-02-16 15:12:31 UTC
is not reproducible with LO 4.0.0.3 (Win7 Home, 64bit), it shows fine in Writer

@frank: Does this issue still persist for you with the latest release of LO?  Otherwise, I would propose to mark it as Resolved.

Can anybody else confirm this reported bug in displaying this WMF file?
Comment 3 bfoman (inactive) 2013-03-06 14:04:40 UTC
Confirmed with:
LO 4.0.1.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Electrical junctions of schematics are not visible.
Comment 4 bfoman (inactive) 2013-03-06 14:16:22 UTC
(In reply to comment #0)
> (electrical junctions of schematics are not visible what ever colour you
> choose).

(In reply to comment #3)
> Electrical junctions of schematics are not visible.

Checked this in Gimp 2.6.12 and black squares on junctions are not visible (same as in LibreOffice). Otherwise it looks pretty much the same.

@reporter:
Does your screenshot come from LTspice itself or is it a file exported by it?
Comment 5 frank 2013-03-06 15:41:44 UTC
Electrical junctions of schematics are still not visible.

Versions
---------------------
LibreOffice: 4.0.1.2 (Build ID: 84102822e3d61eb989ddd325abf1ac077904985)
LTspice:     
OS:          Win7 Pro 64bit SP1

Steps to reproduce the bug:

- Open a LTspice file (I used: .\Examples\Educational\1563.ASC)
- Select Tools > Write to a .wmf file
- Save the .wmf file where you want (I saved in: .\Desktop)
- Open LO Writer: Insert > Image from File ...
Comment 6 frank 2013-03-06 15:42:29 UTC
Electrical junctions of schematics are still not visible.

Versions
---------------------
LibreOffice: 4.0.1.2 (Build ID: 84102822e3d61eb989ddd325abf1ac077904985)
LTspice:     4.18d
OS:          Win7 Pro 64bit SP1

Steps to reproduce the bug:

- Open a LTspice file (I used: .\Examples\Educational\1563.ASC)
- Select Tools > Write to a .wmf file
- Save the .wmf file where you want (I saved in: .\Desktop)
- Open LO Writer: Insert > Image from File ...
Comment 7 Jacques Guilleron 2013-06-27 15:07:52 UTC
Hello Frank,

Just Copy Bitmap to Clipboard in LTspice Tools and paste it into Writer. This work for me with LO 4.2.0.0.alpha0+
Build ID: ce0383d2950d3b0da2c457c8a406c1229de53571
and LO 3.6.6.2 Portable
Windows 7 Home Premium

Have a nice day,

Jacques
Comment 8 frank 2013-06-27 17:43:06 UTC
Anyway, still not working
LTspice 4.19h
LO 4.0.3.3
Windows 7 Professional 64bit SP1




2013/6/27 <bugzilla-daemon@freedesktop.org>

>  Jacques Guilleron <guilleron29@aol.com> changed bug 53004<https://bugs.freedesktop.org/show_bug.cgi?id=53004>
>  What Removed Added  Status UNCONFIRMED RESOLVED  Resolution --- WORKSFORME
>  CC   guilleron29@aol.com  See Also
> https://bugs.freedesktop.org/show_bug.cgi?id=65765
>
>  *Comment # 7 <https://bugs.freedesktop.org/show_bug.cgi?id=53004#c7> on bug
> 53004 <https://bugs.freedesktop.org/show_bug.cgi?id=53004> from Jacques
> Guilleron <guilleron29@aol.com> *
>
> Hello Frank,
>
> Just Copy Bitmap to Clipboard in LTspice Tools and paste it into Writer. This
> work for me with LO 4.2.0.0.alpha0+
> Build ID: ce0383d2950d3b0da2c457c8a406c1229de53571
> and LO 3.6.6.2 Portable
> Windows 7 Home Premium
>
> Have a nice day,
>
> Jacques
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 9 Jacques Guilleron 2013-06-27 19:43:38 UTC
Created attachment 81579 [details]
Astable image from LTspice IV
Comment 10 Jacques Guilleron 2013-06-27 20:05:23 UTC
Hello Frank,

Perhaps I misunderstand something, but I have the same LTspice IV version number. Once copied in the clipboard, I paste it by Ctrl+V. I tried another time with LO 4.0.4.1 and this work too. Where is the issue ?

Regards,

Jacques
Comment 11 frank 2013-06-28 06:12:44 UTC
The issue is when you export an .asc file to .wmf file (Tools > Write to
.wmf file).
The image is created but only the junctions aren't displaying.

Regards
frank


2013/6/27 <bugzilla-daemon@freedesktop.org>

>   *Comment # 10 <https://bugs.freedesktop.org/show_bug.cgi?id=53004#c10>on bug
> 53004 <https://bugs.freedesktop.org/show_bug.cgi?id=53004> from Jacques
> Guilleron <guilleron29@aol.com> *
>
> Hello Frank,
>
> Perhaps I misunderstand something, but I have the same LTspice IV version
> number. Once copied in the clipboard, I paste it by Ctrl+V. I tried another
> time with LO 4.0.4.1 and this work too. Where is the issue ?
>
> Regards,
>
> Jacques
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 12 Jacques Guilleron 2013-06-29 11:02:23 UTC
Hi Frank,

Since transparency and colors are missing in the imported .wmf, I reopen this report.

Jacques
Comment 13 Joel Madero 2014-11-06 17:27:08 UTC
Never confirmed by QA - moving to UNCONFIRMED. Thanks
Comment 14 Robinson Tryon (qubit) 2014-11-13 23:35:32 UTC
Created attachment 109442 [details]
WMF file opened in GIMP 2.8.10
Comment 15 Robinson Tryon (qubit) 2014-11-13 23:50:19 UTC
(In reply to Jacques Guilleron from comment #12)
> Hi Frank,
> 
> Since transparency and colors are missing in the imported .wmf, I reopen
> this report.

I compared attachment 64993 [details] and attachment 81579 [details], and they look pretty darn similar.

Opening the WMF file in GIMP 2.8.10 (see attachment 109442 [details]), the black squares on the line junctions are missing, and the layout of text is a bit off (probably due to font replacement).

Opening the WMF file in LO 4.4.0.0.alpha2 (on Ubuntu 14.04), the text layout looks much better than the GIMP. Black squares are still missing.


Status -> NEW
Comment 16 QA Administrators 2015-12-20 16:18:08 UTC Comment hidden (obsolete)
Comment 17 Bartosz 2017-04-24 11:34:29 UTC
Still presetn in LO 5.3
Comment 18 QA Administrators 2018-06-20 02:49:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug